org.apache.ignite.internal.cluster

## Class DistributedConfigurationUtils

- java.lang.Object
- - org.apache.ignite.internal.cluster.DistributedConfigurationUtils

    public final class DistributedConfigurationUtils
    extends Object

Distributed configuration utilities methods.

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> @NotNull DistributePropertyListener<T>` `makeUpdateListener(String propUpdMsg, IgniteLogger log)`
`static <T extends Serializable> void` `setDefaultValue(DistributedProperty<T> property, T value, IgniteLogger log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setDefaultValue

    public static <T extends Serializable> void setDefaultValue(DistributedProperty<T> property,
                                                                T value,
                                                                IgniteLogger log)

Type Parameters:
  `T` - Property type.
Parameters:
  `property` - Property which value should be set.
  `value` - Default value.
  `log` - Logger.

#### makeUpdateListener

    @NotNull
    public static <T> @NotNull DistributePropertyListener<T> makeUpdateListener(String propUpdMsg,
                                                                                         IgniteLogger log)

Type Parameters:
  `T` - Type of property value.
Parameters:
  `propUpdMsg` - Update message.
  `log` - Logger.
Returns:
  Update property listener.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021